<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    style="@style/root_layout_style"
    android:orientation="vertical"
    tools:context=".ui.activity.pet.InviteFamilyActivity">

    <include
        android:id="@+id/invite_family_top_bar"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView style="@style/my_ScrollView_style">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_invite_family_layout"
            style="@style/root_layout_style"
            android:orientation="vertical">

            <com.abbidot.tracker.widget.InviteFamilyAnimateView
                android:id="@+id/v_invite_family_animate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <include
                android:id="@+id/il_invite_family_email"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_66"
                android:layout_marginHorizontal="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_53" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_email_error_tip_invite_family"
                style="@style/my_TextView_style_v2"
                android:layout_below="@id/il_login_v2_email_address"
                android:layout_marginStart="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_10"
                android:text="@string/txt_valid_email"
                android:textColor="@color/red_color2"
                android:textSize="@dimen/textSize14"
                android:visibility="gone"
                app:typeface="@string/roboto_regular_font" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_marginStart="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_16"
                android:text="@string/txt_relation"
                android:textSize="@dimen/textSize14"
                android:visibility="gone"
                app:typeface="@string/roboto_bold_font" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_invite_family_relation"
                style="@style/recycler_view_no_scrollbars_style"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_10"
                android:nestedScrollingEnabled="false"
                android:visibility="gone" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_marginStart="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_22"
                android:text="@string/txt_choose_avatar"
                android:textSize="@dimen/textSize14"
                app:typeface="@string/roboto_bold_font" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_invite_family_avatar"
                style="@style/recycler_view_no_scrollbars_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_10"
                android:nestedScrollingEnabled="false" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_width="match_parent"
                android:layout_marginTop="@dimen/dp_18"
                android:text="@string/txt_invite_family_tip"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize12"
                app:typeface="@string/roboto_regular_font" />

            <com.abbidot.tracker.widget.TypefaceButton
                android:id="@+id/btn_invite_family_invite"
                style="@style/my_match_RoundRect_Button_style"
                android:layout_marginHorizontal="@dimen/dp_18"
                android:layout_marginTop="@dimen/dp_28"
                android:layout_marginBottom="@dimen/dp_42"
                android:text="@string/tracker_manage_set_add_family_invite"
                app:qmui_radius="@dimen/dp_56"
                app:typeface="@string/roboto_bold_font" />
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.core.widget.NestedScrollView>


</androidx.appcompat.widget.LinearLayoutCompat>